%define src_ver .11.2

Summary:       Portable Spell Checker Interface Library
Name:          pspell
Version:       0.11.2
Release: 2mdk
Group:         System/Libraries
Source0:       http://download.sourceforge.net/%{name}-%{src_ver}.tar.bz2
URL:           http://pspell.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Copyright:     GPL
BuildRequires: libstdc++-devel

# Why, and aspell needs pspell, how to compile ???
#Requires:      aspell >= 0.32.1

%description
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%package devel
Summary:       Libraries, includes, and other files needed to build applications with pspell
Group:         Development/Other
Requires:      %{name} = %{version}

%description devel
Libraries, includes, and other files needed to build applications with pspell.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{src_ver}

%build

CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure -prefix=%{_prefix} 

cd modules
./add-modules
cd ..
%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

cd modules
%makeinstall
cd ..

mkdir docdir
cd docdir
cp -var $RPM_BUILD_ROOT%{_prefix}/doc/pspell .
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files  
%defattr(-,root,root)
%doc README docdir/pspell/*
%{_libdir}/lib*.so.*
%{_datadir}/pspell

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_includedir}/pspell
%{_bindir}/pspell-config

%changelog
* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.2-2mdk
- rebuild in order to link against current libaspell

* Fri Aug 25 2000 Troels Liebe Bentsen 0.11.2-1mdk
- Updated to new version, and added manual without makefiles.

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1 (merged from helix 0_helix_8)
- BM + macroszification
- clean specfile

* Wed Apr 05 2000 Daouda Lo <daouda@mandrakesoft.com> .10-1mdk
- first Mandrake build.
- located in Office (any suggestion???).
- cleanup spec.


